Skip to main content
GET
/
v1
/
process
/
{organizationId}
/
{processNumber}
Obtém os detalhes de um processo
curl --request GET \
  --url https://search.tratum.com.br/v1/process/{organizationId}/{processNumber} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://search.tratum.com.br/v1/process/{organizationId}/{processNumber}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://search.tratum.com.br/v1/process/{organizationId}/{processNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "process": "<string>",
  "process_id": 123,
  "state": "<string>",
  "court": "<string>",
  "court_name": "<string>",
  "classe": "<string>",
  "status": "<string>",
  "status_custom": "<string>",
  "distribution_date": "2023-11-07T05:31:56Z",
  "last_update": "2023-11-07T05:31:56Z",
  "last_update_message": "<string>",
  "value_claim": 123,
  "value_claim_str": "<string>",
  "authors": [
    {
      "name_author": "<string>",
      "document": "<string>",
      "representatives": [
        {
          "name_author": "<string>",
          "document": "<string>"
        }
      ]
    }
  ],
  "defendants": [
    {
      "name_author": "<string>",
      "document": "<string>",
      "representatives": [
        {
          "name_author": "<string>",
          "document": "<string>"
        }
      ]
    }
  ],
  "person_custom": [
    {
      "name_person": "<string>",
      "function_person": "<string>"
    }
  ],
  "documents": [
    {
      "moviment_id": 123,
      "description": "<string>",
      "document_date": "2023-11-07T05:31:56Z",
      "file": "<string>",
      "type": "<string>",
      "type_upload_file": "<string>",
      "has_session": true,
      "problem_file": true
    }
  ],
  "part_matches": [
    {}
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
integer<int64>
required
processNumber
string
required

Query Parameters

resourceId
string

Response

Detalhes do processo

process
string
process_id
integer
state
string
court
string
court_name
string
classe
string
status
string
status_custom
string
distribution_date
string<date-time>
last_update
string<date-time>
last_update_message
string
value_claim
number
value_claim_str
string
authors
object[]
defendants
object[]
person_custom
object[]
documents
object[]
part_matches
object[]